View Issue Details

IDProjectCategoryView StatusLast Update
15227Bug reports[All Projects] Survey designpublic2019-09-06 18:35
Reportermarcgold Assigned Tomarkusfluer  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary15227: Unable to Delete Questions
Description

I Think this is also related to 15219

I am unable to delete a question at all.
I Have Cleared Browser Cache, Logged out and Logged Back in. Cleared assets cache and cleared the Twig Cache.
Still wont work

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.17.15
I will donate to the project if issue is resolvedNo
BrowserAll
Database & DB-VersionN/A
Server OS (if known)Linux Centos 7
Webserver software & version (if known)Nginx
PHP Version7.2

Relationships

related to 15219 assignedmarkusfluer Delete Group of conditions not working 

Activities

marcgold

marcgold

2019-09-04 16:57

reporter   ~53433

Before I am asked, There are no conditions set on the Question and no other question has a related condition set.

DenisChenu

DenisChenu

2019-09-04 17:39

developer   ~53434

Confirm the issue : no action after confirm.



simplescreenrecorder-2019-09-04_17.37.51.webm (770,043 bytes)
cdorin

cdorin

2019-09-04 18:03

manager   ~53437

Ok, cannot delete questions and question groups

marcgold

marcgold

2019-09-04 19:52

reporter   ~53447

Possibly Related, Just noted that Renumber Scenarios also doesn't work.

cdorin

cdorin

2019-09-04 20:59

manager   ~53448

Hey @marcgold, could you please create a new bug report about that? And tag me in it? I will then assign it to a dev :) . Thx!

markusfluer

markusfluer

2019-09-05 14:51

administrator   ~53471

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29095

marcgold

marcgold

2019-09-05 16:14

reporter   ~53475

@markusfluer
Thanks for fixing, am I safe to grab all the files listed below of github and replacing them into my core system to get this working again.
Also, do you know if it resolve the Scenarios problem as well or do you still need me to raise this as a ticket.

Thanks

markusfluer

markusfluer

2019-09-05 16:15

administrator   ~53476

I think the scenarios should also be solved.
We had to backport a lot of the security fixes from LS4, and since the rendering is a bit different there were some sideeffects.
We will release soon, so no need for github.

lime_release_bot

lime_release_bot

2019-09-06 10:47

developer   ~53491

Fixed in Release 3.17.16+190906

marcgold

marcgold

2019-09-06 18:35

reporter   ~53519

@markusfluer
@cdorin

Thanks I can confirm that Release 3.17.16 has fixed the issue as well as the scenario deletions as well. I thought it was all related.

Related Changesets

LimeSurvey: master e749eddf

2019-09-05 14:51:10

markusfluer

Details Diff
Fixed issue 15227: Unable to Delete Questions Affected Issues
15227
rm - assets/packages/adminbasics/build/adminbasics.debug.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.rtl.min.css Diff File
mod - assets/packages/adminbasics/src/components/lslog.js Diff File
mod - assets/packages/adminbasics/src/parts/confirmationModal.js Diff File
mod - assets/packages/adminbasics/src/parts/save.js Diff File

Issue History

Date Modified Username Field Change
2019-09-04 16:56 marcgold New Issue
2019-09-04 16:57 marcgold Note Added: 53433
2019-09-04 17:36 DenisChenu Assigned To => markusfluer
2019-09-04 17:36 DenisChenu Status new => assigned
2019-09-04 17:39 DenisChenu File Added: simplescreenrecorder-2019-09-04_17.37.51.webm
2019-09-04 17:39 DenisChenu Note Added: 53434
2019-09-04 17:39 DenisChenu Relationship added related to 15219
2019-09-04 18:03 cdorin Note Added: 53437
2019-09-04 19:52 marcgold Note Added: 53447
2019-09-04 20:59 cdorin Note Added: 53448
2019-09-05 14:51 markusfluer Changeset attached => LimeSurvey master e749eddf
2019-09-05 14:51 markusfluer Note Added: 53471
2019-09-05 14:51 markusfluer Resolution open => fixed
2019-09-05 14:51 markusfluer Status assigned => resolved
2019-09-05 14:51 markusfluer Fixed in Version => 3.17.x
2019-09-05 16:14 marcgold Note Added: 53475
2019-09-05 16:15 markusfluer Note Added: 53476
2019-09-06 10:47 lime_release_bot Note Added: 53491
2019-09-06 10:47 lime_release_bot Status resolved => closed
2019-09-06 18:35 marcgold Note Added: 53519